[Unit]
Description={{ common_systemd_service_description }}
{% if common_systemd_service_unit_options is defined  and common_systemd_service_unit_options %}
{% for k,v in common_systemd_service_unit_options.items() %}
{% if v is iterable and (v is not string and v is not mapping) %}
{% for v1 in v | reject('eq', omit) %}
{{ k }}={{ v1 }}
{% endfor %}
{% elif v != omit %}
{{ k }}={{ v }}
{% endif %}
{% endfor %}
{% endif %}

[Service]
{% if common_systemd_environment is defined %}
EnvironmentFile={{ common_systemd_environment_path }}
{% endif %}
{% if common_systemd_script_dest is defined %}
ExecStart={{ common_systemd_script_dest }} {{ common_systemd_script_args | default('') }}
{% endif %}
{% for k,v in common_systemd_service_service_options.items() %}
{% if v is iterable and (v is not string and v is not mapping) -%}
{% for v1 in v | reject('eq', omit) %}
{{ k }}={{ v1 }}
{% endfor %}
{% elif v != omit %}
{{ k }}={{ v }}
{% endif %}
{% endfor %}

{% if common_systemd_service_install_options is defined %}
[Install]
{% for k,v in common_systemd_service_install_options.items() %}
{% if v is iterable and (v is not string and v is not mapping) %}
{% for v1 in v | reject('eq', omit) %}
{{ k }}={{ v1 }}
{% endfor %}
{% elif v != omit %}
{{ k }}={{ v }}
{% endif %}
{% endfor %}
{%- endif %}
